package it.integry.integrywmsnative.gest.prod_rientro_merce.order_list;

import it.integry.integrywmsnative.gest.prod_versamento_materiale.dto.OrdineLavorazioneDTO;

public class ProdRientroMerceOrderListModel implements Cloneable {
    private String groupTitle;

    private StatoIconEnum icon;
    private String preDescription;
    private String description;
    private String subDescription;
    private String rightDescription;
    private String rightSubDescription;
    private int progress;

    private boolean hidden;


    private OrdineLavorazioneDTO originalModel;


    public String getGroupTitle() {
        return groupTitle;
    }

    public ProdRientroMerceOrderListModel setGroupTitle(String groupTitle) {
        this.groupTitle = groupTitle;
        return this;
    }

    public StatoIconEnum getIcon() {
        return icon;
    }

    public ProdRientroMerceOrderListModel setIcon(StatoIconEnum icon) {
        this.icon = icon;
        return this;
    }

    public String getPreDescription() {
        return preDescription;
    }

    public ProdRientroMerceOrderListModel setPreDescription(String preDescription) {
        this.preDescription = preDescription;
        return this;
    }

    public String getDescription() {
        return description;
    }

    public ProdRientroMerceOrderListModel setDescription(String description) {
        this.description = description;
        return this;
    }

    public String getSubDescription() {
        return subDescription;
    }

    public ProdRientroMerceOrderListModel setSubDescription(String subDescription) {
        this.subDescription = subDescription;
        return this;
    }

    public String getRightDescription() {
        return rightDescription;
    }

    public ProdRientroMerceOrderListModel setRightDescription(String rightDescription) {
        this.rightDescription = rightDescription;
        return this;
    }

    public String getRightSubDescription() {
        return rightSubDescription;
    }

    public ProdRientroMerceOrderListModel setRightSubDescription(String rightSubDescription) {
        this.rightSubDescription = rightSubDescription;
        return this;
    }

    public boolean isHidden() {
        return hidden;
    }

    public ProdRientroMerceOrderListModel setHidden(boolean hidden) {
        this.hidden = hidden;
        return this;
    }

    public OrdineLavorazioneDTO getOriginalModel() {
        return originalModel;
    }

    public ProdRientroMerceOrderListModel setOriginalModel(OrdineLavorazioneDTO originalModel) {
        this.originalModel = originalModel;
        return this;
    }


    public static enum StatoIconEnum {
        PAUSE,
        START,
        SCHEDULED
    }

    public int getProgress() {
        return progress;
    }

    public ProdRientroMerceOrderListModel setProgress(int progress) {
        this.progress = progress;
        return this;
    }
}
